<?php

namespace ProcessWire;

class DefaultFrontendLanguageConfig extends ModuleConfig
{
    public function getDefaults()
    {
        return array(
            "defaultLanguage" => "default"
        );
    }

    public function getInputfields()
    {
        $inputfields = parent::getInputfields();

        /** @var InputfieldRadios $f */
        $f = $this->wire('modules')->get('InputfieldRadios');
        $f->attr('name', 'defaultLanguage');
        $f->label = ('Choose a default frontend language');
        $f->optionColumns = 1;
        $options = array();
        foreach ($this->languages as $l) {
            $options[$l->name] = $l->title;
        }
        $f->options = $options;
        $inputfields->add($f);

        return $inputfields;
    }
}
